Subject: Bug#537 closed by Mark Hindley <[email-masked]> (closing 537 as fixed)

From: [email-masked] (Devuan Bug Tracking System)
Date: Wed, 11 Jan 2023 11:44:01 +0000

This is an automatic notification regarding your bug report
which was filed against the mpv package:

#537: mpv crashes on exit and all windows that have not been closed up to this point hang

It has been closed by Mark Hindley <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mark Hindley <[email-masked]> by
replying to this email.

-- 
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: closing 537 as fixed
From: Mark Hindley <[email-masked]>
To: [email-masked]
Date: Wed, 11 Jan 2023 11:42:10 +0000

close 537 
thanks

Subject: mpv crashes on exit and all windows that have not been closed up to this point hang
From: "[email-masked]" <[email-masked]>
To: [email-masked]
Date: Sat, 9 Jan 2021 16:13:14 +0100

Package: mpv
Version: 0.29.1-1

Hello, 

in mpv, maybe, I detected following bug.

OS: Devuan, beowulf
Windowmanager: openbox 3.6.1
Filemanager:  doublecmd 0.7.1. also tested 0.8.0 and 0.9.9 and 
spacefm 1.0.6

The error occurs since updating the repository from devuan-ascii to
devuan-beowulf (all configuration files in ~ are the same) 

After opening any video file, using doublecmd in mpv, mpv crashes on
exit (trying to close the mpv window). All windows (e.g. mpv,
kaffeine, doublecmd, xterm, etc.) that have not been closed (up to this
point) hang. All this windows have to be closed with pkill -9 or
killall -9 . 

On testing this behaviour, I find out following points:

- the bug occurs in all named versions of doublecmd, mentioned above,
but not in spacefm.

- this will only happens with mpv, not with other players, like vlc,
cvlc.

- this will not be happend, when doublecmd will be started in an xterm
terminal.

- the only workaround I found, is to put nohup in the openbox
  rc.xml . See below:

   <!-- Alt+F3 : Ausführen (doublecmd) -->
    <keybind key="A-F3">
      <action name="Execute">
        <command>nohup doublecmd</command>
      </action>
    </keybind>

thank you for your help and many greetings 

Frank Noack